#ifndef INCLUDED_snow_platform_native_input_sdl_KeyEventType
#define INCLUDED_snow_platform_native_input_sdl_KeyEventType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS5(snow,platform,native,input,sdl,KeyEventType)
namespace snow{
namespace platform{
namespace native{
namespace input{
namespace sdl{


class KeyEventType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef KeyEventType_obj OBJ_;

	public:
		KeyEventType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("snow.platform.native.input.sdl.KeyEventType"); }
		::String __ToString() const { return HX_CSTRING("KeyEventType.") + tag; }

		static ::snow::platform::native::input::sdl::KeyEventType down;
		static inline ::snow::platform::native::input::sdl::KeyEventType down_dyn() { return down; }
		static ::snow::platform::native::input::sdl::KeyEventType textedit;
		static inline ::snow::platform::native::input::sdl::KeyEventType textedit_dyn() { return textedit; }
		static ::snow::platform::native::input::sdl::KeyEventType textinput;
		static inline ::snow::platform::native::input::sdl::KeyEventType textinput_dyn() { return textinput; }
		static ::snow::platform::native::input::sdl::KeyEventType unknown;
		static inline ::snow::platform::native::input::sdl::KeyEventType unknown_dyn() { return unknown; }
		static ::snow::platform::native::input::sdl::KeyEventType up;
		static inline ::snow::platform::native::input::sdl::KeyEventType up_dyn() { return up; }
};

} // end namespace snow
} // end namespace platform
} // end namespace native
} // end namespace input
} // end namespace sdl

#endif /* INCLUDED_snow_platform_native_input_sdl_KeyEventType */ 
